/* -------------------------------- Font-Family --------------------------------------------- */
// @font-face {
//   font-family: "Inter-Regular";
//   src: url("../assets/fonts/inter/Inter-Regular.ttf") format("truetype");
// }

// @font-face {
//   font-family: "Inter-Medium";
//   src: url("../assets/fonts/inter/Inter-Medium.ttf") format("truetype");
// }

// @font-face {
//   font-family: "Inter-Semibold";
//   src: url("../assets/fonts/inter/Inter-SemiBold.ttf") format("truetype");
// }

@import url('https://fonts.googleapis.com/css2?family=Cabin:wght@400;500;600;700&display=swap');

/* -------------------------------- Class Name for Fonts --------------------------------------------- */

.font-Regular {
  font-family: 'Cabin', sans-serif;
  font-weight: 400;
  font-synthesis: style;
  line-height: normal;

  &-14,
  &-15,
  &-16,
  &-18,
  &-20,
  &-24,
  &-placeHolder {
    font-family: 'Cabin', sans-serif;
    font-weight: 400;
    font-synthesis: style;
    line-height: normal;
  }

  &-14 {
    font-size: 14px;
  }

  &-15 {
    font-size: 15px;
  }

  &-16 {
    font-size: 16px;
  }

  &-18 {
    font-size: 18px;
  }

  &-20 {
    font-size: 20px;
  }

  &-24 {
    font-size: 24px;
  }

  &-placeHolder {
    font-size: 16px !important
  }
}

.font-Medium {
  font-family: 'Cabin', sans-serif;
  font-weight: 500;
  font-synthesis: style;
  line-height: normal;

  &-14,
  &-16,
  &-18,
  &-20,
  &-24 {
    font-family: 'Cabin', sans-serif;
    font-weight: 500;
    font-synthesis: style;
    line-height: normal;
  }

  &-14 {
    font-size: 14px;
  }

  &-16 {
    font-size: 16px;
  }

  &-18 {
    font-size: 18px;
  }

  &-20 {
    font-size: 20px;
  }

  &-24 {
    font-size: 24px;
  }
}

.font-Semibold {
  font-family: 'Cabin', sans-serif;
  font-weight: 600;
  font-synthesis: style;
  line-height: normal;

  &-11,
  &-12,
  &-14,
  &-16,
  &-18,
  &-20,
  &-24,
  &-30,
  &-40,
  &-56 {
    font-family: 'Cabin', sans-serif;
    font-weight: 600;
    font-synthesis: style;
    line-height: normal;
  }

  &-11 {
    font-size: 11px;
  }

  &-12 {
    font-size: 12px;
  }

  &-14 {
    font-size: 14px;
  }

  &-16 {
    font-size: 16px;
  }

  &-18 {
    font-size: 18px;
  }

  &-20 {
    font-size: 20px;
  }

  &-24 {
    font-size: 24px;
  }

  &-30 {
    font-size: 30px;
  }

  &-40 {
    font-size: 40px;
  }

  &-56 {
    font-size: 56px;
  }
}

.font-Bold {
  font-family: 'Cabin', sans-serif;
  font-weight: 700;
  font-synthesis: style;
  line-height: normal;

  &-11,
  &-12,
  &-14,
  &-16,
  &-18,
  &-20,
  &-24,
  &-30,
  &-40,
  &-60 {
    font-family: 'Cabin', sans-serif;
    font-weight: 700;
    font-synthesis: style;
    line-height: normal;
  }

  &-11 {
    font-size: 11px;
  }

  &-12 {
    font-size: 12px;
  }

  &-14 {
    font-size: 14px;
  }

  &-16 {
    font-size: 16px;
  }

  &-18 {
    font-size: 18px;
  }

  &-20 {
    font-size: 20px;
  }

  &-24 {
    font-size: 24px;
  }

  &-30 {
    font-size: 30px;
  }

  &-40 {
    font-size: 40px;
  }

  &-60 {
    font-size: 60px;
  }
}

.font-Italic {
  font-family: 'Cabin', sans-serif;
  font-weight: 400;
  font-style: italic;
  line-height: normal;

  &-14,
  &-16,
  &-18,
  &-20,
  &-24 {
    font-family: 'Cabin', sans-serif;
    font-weight: 400;
    font-style: italic;
    line-height: normal;
  }

  &-14 {
    font-size: 14px;
  }

  &-16 {
    font-size: 16px;
  }

  &-18 {
    font-size: 18px;
  }

  &-20 {
    font-size: 20px;
  }

  &-24 {
    font-size: 24px;
  }
}

.font-333 {
  color: #333333;
}

.font-141461 {
  color: #141461;
}

.font-7B7B7B {
  color: #7B7B7B;
}

.font-555 {
  color: #555555;
}

.font-0038ff {
  color: #0038ff !important;
}

.font-ff0000 {
  color: #ff0000 !important;
}

.font-ffffff {
  color: #ffffff;
}

.font-000 {
  color: #000000;
}

.font-9C9C9C {
  color: #9C9C9C;
}

.font-bfd3ff {
  color: rgba(191, 211, 255, 1);
}

//Text divider CSS
.text-divider {
  --text-divider-gap: 1rem;
  display: flex;
  align-items: center;
}

.text-divider::before,
.text-divider::after {
  content: '';
  height: 1px;
  background-color: #E2E2E2;
  flex-grow: 1;
}

.text-divider::before {
  margin-right: var(--text-divider-gap);
}

.text-divider::after {
  margin-left: var(--text-divider-gap);
}